<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- XRef/xref27.html -->
<!-- this view was generated by XRef -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Cross Reference : Synopsis::SymbolLookup::Walker::visit&#40;PTree::List*&#41; - Synopsis::Token::INT</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="XRef">
<div class="navigation">
<span class="normal"><a href="../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Cross Reference : Synopsis::SymbolLookup::Walker::visit&#40;PTree::List*&#41; - Synopsis::Token::INT</h1><div class="xref-name"><a id="Synopsis_mSymbolLookup_mWalker_mvisit_lPTree_mList_S_r" /><h2 >Synopsis::SymbolLookup::Walker::visit&#40;PTree::List*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#29">Synopsis/SymbolLookup/Walker.hh:29</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Walker.html" >Synopsis::SymbolLookup::Walker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mWalker_mvisit_lPTree_mNamespaceSpec_S_r" /><h2 >Synopsis::SymbolLookup::Walker::visit&#40;PTree::NamespaceSpec*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#32">Synopsis/SymbolLookup/Walker.hh:32</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Walker.html" >Synopsis::SymbolLookup::Walker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mWalker_mvisit_lPTree_mTemplateDecl_S_r" /><h2 >Synopsis::SymbolLookup::Walker::visit&#40;PTree::TemplateDecl*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#31">Synopsis/SymbolLookup/Walker.hh:31</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Walker.html" >Synopsis::SymbolLookup::Walker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mWalker_mvisit_block_lPTree_mBlock_S_r" /><h2 >Synopsis::SymbolLookup::Walker::visit_block&#40;PTree::Block*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#56">Synopsis/SymbolLookup/Walker.hh:56</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Walker.html" >Synopsis::SymbolLookup::Walker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mWalker_m_tWalker_l_r" /><h2 >Destructor Synopsis::SymbolLookup::Walker::~Walker&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Walker.html#_tWalker_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#26">Synopsis/SymbolLookup/Walker.hh:26</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Walker.html" >Synopsis::SymbolLookup::Walker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mdisplay_lconst.Scope_S_cstd_mostream_A_r" /><h2 >Synopsis::SymbolLookup::display&#40;const Scope*&#44;std::ostream&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#67">Synopsis/SymbolLookup/Display.hh:67</a>: in namespace <a href="../Scopes/Synopsis/SymbolLookup.html" >Synopsis::SymbolLookup</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTimer" /><h2 >Class Synopsis::Timer</h2><ul>
<li><a href="../Scopes/Synopsis/Timer.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Timer.hh.html#16">Synopsis/Timer.hh:16</a>: in class <a href="../Scopes/Synopsis/Timer.html" >Synopsis::Timer</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Timer.hh.html#19">Synopsis/Timer.hh:19</a>: Constructor <a href="../Scopes/Synopsis/Timer.html#Timer_l_r" >Timer&#40;&#41;</a></li><li ><a href="../Source/Synopsis/Timer.hh.html#20">Synopsis/Timer.hh:20</a>: Member function <a href="../Scopes/Synopsis/Timer.html#elapsed_l_rconst" >elapsed&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/Timer.hh.html#22">Synopsis/Timer.hh:22</a>: Data member <a href="../Scopes/Synopsis/Timer.html#my_start" >my_start</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTimer_mTimer_l_r" /><h2 >Constructor Synopsis::Timer::Timer&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Timer.html#Timer_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Timer.hh.html#19">Synopsis/Timer.hh:19</a>: in class <a href="../Scopes/Synopsis/Timer.html" >Synopsis::Timer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTimer_melapsed_l_rconst" /><h2 >Member function Synopsis::Timer::elapsed&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/Timer.html#elapsed_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Timer.hh.html#20">Synopsis/Timer.hh:20</a>: in class <a href="../Scopes/Synopsis/Timer.html" >Synopsis::Timer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTimer_mmy_start" /><h2 >Data member Synopsis::Timer::my_start</h2><ul>
<li><a href="../Scopes/Synopsis/Timer.html#my_start" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Timer.hh.html#22">Synopsis/Timer.hh:22</a>: in class <a href="../Scopes/Synopsis/Timer.html" >Synopsis::Timer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken" /><h2 >Struct Synopsis::Token</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#50">Synopsis/Token.hh:50</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#29">Synopsis/Lexer.hh:29</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
<li><a href="../Source/Synopsis/Lexer.hh.html#39">Synopsis/Lexer.hh:39</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
<li><a href="../Source/Synopsis/Lexer.hh.html#41">Synopsis/Lexer.hh:41</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
<li><a href="../Source/Synopsis/Lexer.hh.html#57">Synopsis/Lexer.hh:57</a>: in class <a href="../Scopes/Synopsis/Lexer/Queue.html" >Synopsis::Lexer::Queue</a></li>
<li><a href="../Source/Synopsis/Lexer.hh.html#62">Synopsis/Lexer.hh:62</a>: in class <a href="../Scopes/Synopsis/Lexer/Queue.html" >Synopsis::Lexer::Queue</a></li>
<li><a href="../Source/Synopsis/Lexer.hh.html#63">Synopsis/Lexer.hh:63</a>: in class <a href="../Scopes/Synopsis/Lexer/Queue.html" >Synopsis::Lexer::Queue</a></li>
<li><a href="../Source/Synopsis/Lexer.hh.html#64">Synopsis/Lexer.hh:64</a>: in class <a href="../Scopes/Synopsis/Lexer/Queue.html" >Synopsis::Lexer::Queue</a></li>
<li><a href="../Source/Synopsis/Lexer.hh.html#65">Synopsis/Lexer.hh:65</a>: in class <a href="../Scopes/Synopsis/Lexer/Queue.html" >Synopsis::Lexer::Queue</a></li>
<li><a href="../Source/Synopsis/Lexer.hh.html#111">Synopsis/Lexer.hh:111</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#21">Synopsis/PTree/Atoms.hh:21</a>: in class <a href="../Scopes/Synopsis/PTree/Literal.html" >Synopsis::PTree::Literal</a></li>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#31">Synopsis/PTree/Atoms.hh:31</a>: in class <a href="../Scopes/Synopsis/PTree/CommentedAtom.html" >Synopsis::PTree::CommentedAtom</a></li>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#55">Synopsis/PTree/Atoms.hh:55</a>: in class <a href="../Scopes/Synopsis/PTree/Identifier.html" >Synopsis::PTree::Identifier</a></li>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#63">Synopsis/PTree/Atoms.hh:63</a>: in class <a href="../Scopes/Synopsis/PTree/Keyword.html" >Synopsis::PTree::Keyword</a></li>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#73">Synopsis/PTree/Atoms.hh:73</a>: in class <a href="../Scopes/Synopsis/PTree/KeywordT.html" >Synopsis::PTree::KeywordT</a></li>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#82">Synopsis/PTree/Atoms.hh:82</a>: in class <a href="../Scopes/Synopsis/PTree/UserKeyword.html" >Synopsis::PTree::UserKeyword</a></li>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#109">Synopsis/PTree/Node.hh:109</a>: in class <a href="../Scopes/Synopsis/PTree/Atom.html" >Synopsis::PTree::Atom</a></li>
<li><a href="../Source/Synopsis/Parser.hh.html#444">Synopsis/Parser.hh:444</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Token.hh.html#52">Synopsis/Token.hh:52</a>: Typedef <a href="../Scopes/Synopsis/Token.html#Type" >Type</a></li><li ><a href="../Source/Synopsis/Token.hh.html#53">Synopsis/Token.hh:53</a>: Enum <a href="../Scopes/Synopsis/Token.html#`0000" >`0000</a></li><li ><a href="../Source/Synopsis/Token.hh.html#205">Synopsis/Token.hh:205</a>: Constructor <a href="../Scopes/Synopsis/Token.html#Token_l_r" >Token&#40;&#41;</a></li><li ><a href="../Source/Synopsis/Token.hh.html#206">Synopsis/Token.hh:206</a>: Constructor <a href="../Scopes/Synopsis/Token.html#Token_lconst.char_S_csize_t_cType_r" >Token&#40;const char*&#44;size_t&#44;Type&#41;</a></li><li ><a href="../Source/Synopsis/Token.hh.html#207">Synopsis/Token.hh:207</a>: Member function <a href="../Scopes/Synopsis/Token.html#operator_e_e_lchar_rconst" >operator==&#40;char&#41;const</a></li><li ><a href="../Source/Synopsis/Token.hh.html#208">Synopsis/Token.hh:208</a>: Data member <a href="../Scopes/Synopsis/Token.html#ptr" >ptr</a></li><li ><a href="../Source/Synopsis/Token.hh.html#209">Synopsis/Token.hh:209</a>: Data member <a href="../Scopes/Synopsis/Token.html#length" >length</a></li><li ><a href="../Source/Synopsis/Token.hh.html#210">Synopsis/Token.hh:210</a>: Data member <a href="../Scopes/Synopsis/Token.html#type" >type</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mASM" /><h2 >Enumerator Synopsis::Token::ASM</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ASM" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#198">Synopsis/Token.hh:198</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mATTRIBUTE" /><h2 >Enumerator Synopsis::Token::ATTRIBUTE</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ATTRIBUTE" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#118">Synopsis/Token.hh:118</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mAUTO" /><h2 >Enumerator Synopsis::Token::AUTO</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#AUTO" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#71">Synopsis/Token.hh:71</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#29">Synopsis/PTree/NodesFwd.hh:29</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mArrowOp" /><h2 >Enumerator Synopsis::Token::ArrowOp</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ArrowOp" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#69">Synopsis/Token.hh:69</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mAssignOp" /><h2 >Enumerator Synopsis::Token::AssignOp</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#AssignOp" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#59">Synopsis/Token.hh:59</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mBOOLEAN" /><h2 >Enumerator Synopsis::Token::BOOLEAN</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#BOOLEAN" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#124">Synopsis/Token.hh:124</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#30">Synopsis/PTree/NodesFwd.hh:30</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mBREAK" /><h2 >Enumerator Synopsis::Token::BREAK</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#BREAK" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#103">Synopsis/Token.hh:103</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#31">Synopsis/PTree/NodesFwd.hh:31</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mBadToken" /><h2 >Enumerator Synopsis::Token::BadToken</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#BadToken" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#70">Synopsis/Token.hh:70</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mCASE" /><h2 >Enumerator Synopsis::Token::CASE</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#CASE" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#104">Synopsis/Token.hh:104</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#32">Synopsis/PTree/NodesFwd.hh:32</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mCATCH" /><h2 >Enumerator Synopsis::Token::CATCH</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#CATCH" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#127">Synopsis/Token.hh:127</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#33">Synopsis/PTree/NodesFwd.hh:33</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mCHAR" /><h2 >Enumerator Synopsis::Token::CHAR</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#CHAR" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#72">Synopsis/Token.hh:72</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#34">Synopsis/PTree/NodesFwd.hh:34</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mCLASS" /><h2 >Enumerator Synopsis::Token::CLASS</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#CLASS" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#73">Synopsis/Token.hh:73</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#35">Synopsis/PTree/NodesFwd.hh:35</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mCONST" /><h2 >Enumerator Synopsis::Token::CONST</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#CONST" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#74">Synopsis/Token.hh:74</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#37">Synopsis/PTree/NodesFwd.hh:37</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mCONTINUE" /><h2 >Enumerator Synopsis::Token::CONTINUE</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#CONTINUE" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#105">Synopsis/Token.hh:105</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#36">Synopsis/PTree/NodesFwd.hh:36</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mCharConst" /><h2 >Enumerator Synopsis::Token::CharConst</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#CharConst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#57">Synopsis/Token.hh:57</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mComment" /><h2 >Enumerator Synopsis::Token::Comment</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#Comment" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#202">Synopsis/Token.hh:202</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mConstant" /><h2 >Enumerator Synopsis::Token::Constant</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#Constant" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#56">Synopsis/Token.hh:56</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#26">Synopsis/PTree/TypeVisitor.hh:26</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lLiteral_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;Literal*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mDECLSPEC" /><h2 >Enumerator Synopsis::Token::DECLSPEC</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#DECLSPEC" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#199">Synopsis/Token.hh:199</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mDEFAULT" /><h2 >Enumerator Synopsis::Token::DEFAULT</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#DEFAULT" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#106">Synopsis/Token.hh:106</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#38">Synopsis/PTree/NodesFwd.hh:38</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mDELETE" /><h2 >Enumerator Synopsis::Token::DELETE</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#DELETE" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#75">Synopsis/Token.hh:75</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#39">Synopsis/PTree/NodesFwd.hh:39</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mDO" /><h2 >Enumerator Synopsis::Token::DO</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#DO" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#107">Synopsis/Token.hh:107</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#41">Synopsis/PTree/NodesFwd.hh:41</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mDOUBLE" /><h2 >Enumerator Synopsis::Token::DOUBLE</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#DOUBLE" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#76">Synopsis/Token.hh:76</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#40">Synopsis/PTree/NodesFwd.hh:40</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mELSE" /><h2 >Enumerator Synopsis::Token::ELSE</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ELSE" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#108">Synopsis/Token.hh:108</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#42">Synopsis/PTree/NodesFwd.hh:42</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mENUM" /><h2 >Enumerator Synopsis::Token::ENUM</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ENUM" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#77">Synopsis/Token.hh:77</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#43">Synopsis/PTree/NodesFwd.hh:43</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mEXTENSION" /><h2 >Enumerator Synopsis::Token::EXTENSION</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#EXTENSION" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#125">Synopsis/Token.hh:125</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mEXTERN" /><h2 >Enumerator Synopsis::Token::EXTERN</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#EXTERN" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#78">Synopsis/Token.hh:78</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#44">Synopsis/PTree/NodesFwd.hh:44</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mEllipsis" /><h2 >Enumerator Synopsis::Token::Ellipsis</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#Ellipsis" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#67">Synopsis/Token.hh:67</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mEqualOp" /><h2 >Enumerator Synopsis::Token::EqualOp</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#EqualOp" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#60">Synopsis/Token.hh:60</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mFLOAT" /><h2 >Enumerator Synopsis::Token::FLOAT</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#FLOAT" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#79">Synopsis/Token.hh:79</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#45">Synopsis/PTree/NodesFwd.hh:45</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mFOR" /><h2 >Enumerator Synopsis::Token::FOR</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#FOR" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#109">Synopsis/Token.hh:109</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#46">Synopsis/PTree/NodesFwd.hh:46</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mFRIEND" /><h2 >Enumerator Synopsis::Token::FRIEND</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#FRIEND" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#80">Synopsis/Token.hh:80</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#47">Synopsis/PTree/NodesFwd.hh:47</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mGOTO" /><h2 >Enumerator Synopsis::Token::GOTO</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#GOTO" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#110">Synopsis/Token.hh:110</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#48">Synopsis/PTree/NodesFwd.hh:48</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mIF" /><h2 >Enumerator Synopsis::Token::IF</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#IF" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#111">Synopsis/Token.hh:111</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#50">Synopsis/PTree/NodesFwd.hh:50</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mINLINE" /><h2 >Enumerator Synopsis::Token::INLINE</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#INLINE" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#81">Synopsis/Token.hh:81</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#49">Synopsis/PTree/NodesFwd.hh:49</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mINT" /><h2 >Enumerator Synopsis::Token::INT</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#INT" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#82">Synopsis/Token.hh:82</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#51">Synopsis/PTree/NodesFwd.hh:51</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
</ul></li>
</ul>
</div>
<div class="logo">Generated on Thu Apr 16 16:28:05 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
